#!/bin/sh
# the next line restarts using tclsh\
exec tclsh "$0" "$@"

proc getinfo { chanID addr port } {
	global stopvar
	puts "Client connected: chanID = $chanID, port = $port, addr = $addr"
	while { [ gets $chanID a ]>0 } {
		puts $a
		if { $a == "stop" } {
			puts "Stop got!"
			set stopvar 1
			return
		} else {
			#Echo input as COMID OK:
			after 5000
			puts $chanID "[lindex [split $a] 0] OK WAIT=6"
			flush $chanID
			after 6000
			puts $chanID "[lindex [split $a] 0] OK ID=OBJM"
			flush $chanID
		}
	}
}

#  Testing connection between Tcl applications: server side that accepts data:

# Port number:
set port 1234

puts "Prepare to accept info in socket port $port..."

set mychan [ socket -server getinfo $port ]
puts "Mychan=$mychan"
vwait stopvar

puts "Ok, close $mychan channel and exit."

close $mychan
return
